Bug 1566414 - libidn on Fedora 28 stringprep failure
Summary: libidn on Fedora 28 stringprep failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:19 UTC by Jiří Dostál
Modified: 2018-05-22 15:06 UTC (History)
4 users (show)

Fixed In Version: libidn-1.34-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 15:06:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiří Dostál 2018-04-12 09:19:05 UTC
Description of problem:
When using newest version on libdn-1.34-1, failure when trying to stringprer occurs for certain domain names. Reproduced when using jabberd from Spacewalk on Fedora 28 - jabberd is unable to start due to this regression. From libidn-1.33 and older it works as expected. 

Version-Release number of selected component (if applicable):
libidn-1.34-1.fc28.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install Spacewalk on Fedora 28
2. Check jabberd status
Alternatively:
1. It should be enough to stringprep hostname as all tested environment had this hostname format
   xxx-xx1.xxxx.xxx.xxx.xxx.com

Actual results:
Cannot stringprep hostname, which blocks whole Spacewalk to start

Expected results:
Same behavior as in 1.33 and lower - stringprep should pass.

Additional info:
I'll provide more information if you give me some pointers.

Comment 1 Miroslav Lichvar 2018-04-12 16:05:19 UTC
Can you please provide a specific example of the stringprep() call that fails?

Comment 4 Miroslav Lichvar 2018-04-18 08:43:08 UTC
I cannot reproduce it. stringprep_nameprep() from libidn-1.34 returns 0 for the given input here.

Comment 5 Miroslav Lichvar 2018-05-02 16:00:15 UTC
This might be caused by an ABI break of libidn. Can you please try the test package from bug #1573961?

Comment 6 Miroslav Lichvar 2018-05-02 16:02:03 UTC
An F28 build of the test package is here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26729499

Comment 7 Jiří Dostál 2018-05-03 12:40:05 UTC
I will test it and provide more information. Thank you!

Comment 8 Jiří Dostál 2018-05-03 12:49:06 UTC
I've done some investigation and I can confirm that provided package works like a charm. Do you think it would be possible to come up with package that has this fixed? Unfortunately, Fedora 27 is affected the same way.

Comment 9 Fedora Update System 2018-05-04 11:31:02 UTC
libidn-1.34-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-25d5c86330

Comment 10 Fedora Update System 2018-05-04 11:31:18 UTC
libidn-1.34-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae2d44488

Comment 11 Fedora Update System 2018-05-06 10:07:55 UTC
libidn-1.34-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae2d44488

Comment 12 Fedora Update System 2018-05-06 21:53:31 UTC
libidn-1.34-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-25d5c86330

Comment 13 Fedora Update System 2018-05-10 15:19:38 UTC
libidn-1.34-2.fc27 mcabber-1.1.0-1.fc27.1 pidgin-2.13.0-1.fc27.1 python-slixmpp-1.3.0-5.fc27.1 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-25d5c86330

Comment 14 Fedora Update System 2018-05-10 15:20:42 UTC
ghostscript-9.23-2.fc28.1 libidn-1.34-2.fc28 mcabber-1.1.0-1.fc28.1 pidgin-2.13.0-1.fc28.1 python-slixmpp-1.3.0-5.fc28.1 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae2d44488

Comment 15 Fedora Update System 2018-05-11 17:36:44 UTC
libidn-1.34-2.fc27, mcabber-1.1.0-1.fc27.1, pidgin-2.13.0-1.fc27.1, python-slixmpp-1.3.0-5.fc27.1 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-25d5c86330

Comment 16 Fedora Update System 2018-05-11 18:51:06 UTC
ghostscript-9.23-2.fc28.1, libidn-1.34-2.fc28, mcabber-1.1.0-1.fc28.1, pidgin-2.13.0-1.fc28.1, python-slixmpp-1.3.0-5.fc28.1 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae2d44488

Comment 17 Fedora Update System 2018-05-15 13:58:22 UTC
ghostscript-9.23-4.fc28 libidn-1.34-3.fc28 mcabber-1.1.0-1.fc28.1 pidgin-2.13.0-1.fc28.1 python-slixmpp-1.3.0-5.fc28.1 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae2d44488

Comment 18 Fedora Update System 2018-05-15 23:02:22 UTC
ghostscript-9.23-4.fc28, libidn-1.34-3.fc28, mcabber-1.1.0-1.fc28.1, pidgin-2.13.0-1.fc28.1, python-slixmpp-1.3.0-5.fc28.1 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae2d44488

Comment 19 Fedora Update System 2018-05-22 15:06:09 UTC
ghostscript-9.23-4.fc28, libidn-1.34-3.fc28, mcabber-1.1.0-1.fc28.1, pidgin-2.13.0-1.fc28.1, python-slixmpp-1.3.0-5.fc28.1 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.